#!/bin/bash

fatal() {
    echo "FATAL: $@"
    exit 1
}

echo "# installing docker"
sudo apt update || fatal "something went wrong"
sudo apt install docker* || fatal "something went wrong"

echo "# check groups"
groups | grep docker || sudo usermod $USER -aG docker
fatal "please relog to enter docker group"

echo "# network"
docker network create proxy